Commit 428cb9c5 authored by Kolbjørn Barmen's avatar Kolbjørn Barmen

Updated to 1.7.2

* Our patches seem redundant and/or unappliable for now - disabled
parent e2b5cae8
...@@ -3,8 +3,8 @@ ...@@ -3,8 +3,8 @@
set -e set -e
package="radsecproxy" package="radsecproxy"
version="1.6.9" version="1.7.2"
revision="3~uninett" revision="1~uninett"
export TZ="Europe/Oslo" export TZ="Europe/Oslo"
now=$(date +"%a, %d %b %Y %T %z") now=$(date +"%a, %d %b %Y %T %z")
...@@ -21,7 +21,9 @@ EOF ...@@ -21,7 +21,9 @@ EOF
apt-get update apt-get update
curl --silent -o "${package}"_"${version}".orig.tar.gz "https://software.nordu.net/${package}/${package}-${version}.tar.gz" RADSECPROXY_URL="https://github.com/${package}/${package}"
RADSECPROXY_SRCURL="${RADSECPROXY_URL}/releases/download/${version}/${package}-${version}.tar.gz"
curl --silent -o "${package}"_"${version}".orig.tar.gz -L "${RADSECPROXY_SRCURL}"
tar xzf "${package}"_"${version}".orig.tar.gz tar xzf "${package}"_"${version}".orig.tar.gz
#git clone https://git.nordu.net/radsecproxy.git "${package}"-"${version}" #git clone https://git.nordu.net/radsecproxy.git "${package}"-"${version}"
#tar czf "${package}"_"${version}".orig.tar.gz "${package}"-"${version}" #tar czf "${package}"_"${version}".orig.tar.gz "${package}"-"${version}"
...@@ -30,10 +32,10 @@ tar xzf "${package}"_"${version}".orig.tar.gz ...@@ -30,10 +32,10 @@ tar xzf "${package}"_"${version}".orig.tar.gz
apt-get source ${package} apt-get source ${package}
tar xf "${package}"_*.debian.tar.xz -C "${package}"-"${version}/" tar xf "${package}"_*.debian.tar.xz -C "${package}"-"${version}/"
cp patches/* "${package}"-"${version}"/debian/patches/ # cp patches/* "${package}"-"${version}"/debian/patches/
for patch in patches/* ; do # for patch in patches/* ; do
echo ${patch##*/} # echo ${patch##*/}
done >> "${package}"-"${version}"/debian/patches/series # done >> "${package}"-"${version}"/debian/patches/series
cat > changelog << EOF cat > changelog << EOF
radsecproxy (${version}-${revision}) unstable; urgency=medium radsecproxy (${version}-${revision}) unstable; urgency=medium
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment